import type { NoInfer } from '@reduxjs/toolkit/dist/tsHelpers';
export declare function safeAssign<T extends object>(target: T, ...args: Array<Partial<NoInfer<T>>>): T;
export type IsRecord<T> = T extends object ? T extends unknown[] ? false : T extends Set<unknown> ? false : T extends Map<unknown, unknown> ? false : T extends Function ? false : true : false;
export type IsUnknownRecord<T> = string extends keyof T ? true : number extends keyof T ? true : false;
export type IsKnownRecord<T> = IsRecord<T> extends true ? (IsUnknownRecord<T> extends true ? false : true) : false;
